Page MenuHomePhabricator

Jenkins: Configure jobs to be runnable on any slaves
Closed, ResolvedPublic

Description

This is about configuring Jenkins jobs so they can be executed on the Jenkins slaves.

  1. update defaults: use-zuul to defaults: use-remote-zuul
  1. reconfigure all impacted jobs
  1. on lanthanum apply the labels hasSlaveScripts hasContintPackages productionSlaves

Version: wmf-deployment
Severity: enhancement

Details

Reference
bz53594

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 2:07 AM
bzimport set Reference to bz53594.
hashar created this task.Aug 30 2013, 3:28 PM

migrate python jobs to be runnable by slaves
https://gerrit.wikimedia.org/r/#/c/81936/

Should do the same for all job-templates having defaults: use-zuul

The feature rely on using git clone with --reference which is bugged with the git version we have on our server. See bug 53683 which is a blocker.

Migrating jobs ...

I have migrated much of the jobs over european night. Still have to update the parsoid and mediawiki one and fix the remaining one.

We will soon be able to let jobs roam freely :-]

Still blocked by PHPUnit / pear packages not being available on slaves (bug 54762).

Removing myself as an assignee of this tracking bug to clear up my bugzilla dashboard. Will assign myself to the blocking bug.

Change 92625 had a related patch set uploaded by Hashar:
label some jobs needing PHPUnit

https://gerrit.wikimedia.org/r/92625

Change 92625 merged by jenkins-bot:
label some jobs needing PHPUnit

https://gerrit.wikimedia.org/r/92625

Change 92626 had a related patch set uploaded by Hashar:
/var/lib/jenkins -> /srv/slave-scripts

https://gerrit.wikimedia.org/r/92626

Change 92626 merged by jenkins-bot:
/var/lib/jenkins -> /srv/slave-scripts

https://gerrit.wikimedia.org/r/92626

hashar added a comment.Nov 5 2013, 1:35 PM

PHPUnit got fixed by using integration/phpunit.git Need to do the same with php code sniffer.

phpcs added in a git repository with https://gerrit.wikimedia.org/r/95134

Change 95137 had a related patch set uploaded by Hashar:
deployment: integration/phpcs for Jenkins CI slaves

https://gerrit.wikimedia.org/r/95137

Change 95137 merged by Mark Bergsma:
deployment: integration/phpcs for Jenkins CI slaves

https://gerrit.wikimedia.org/r/95137

Waiting for the phpcs repository to be populated on the deployment server tin.eqiad.wmnet. Once done, one will be able to deploy phpcs on the slaves and then we will have to update the Jenkins jobs and slave scripts to point to that deployed installation.

https://gerrit.wikimedia.org/r/#/c/95172/ switched the shell wrapper script around phpcs to use the deployed version.

Nothing left to do :]